
# Interface: IWidgetStepsConfig

Provides properties for the `steps` widget.

You can use these properties in **params** of the [AuWidgetSteps](../classes/auwidgetsteps.md) class.
```
{
  "widgets": [
    {
      "name": "steps",
      "type": "steps",
      "params": {
        "availabilityMode": "visited",
        "steps": {
          "Step 3": {
            "enabled": "{{$['confirmation-checkbox']._}}"
          }
        }
      }
    }
  ]
}
```

## Hierarchy

* **IWidgetStepsConfig**

## Index

### Properties

* [availabilityMode](iwidgetstepsconfig.md#availabilitymode)
* [steps](iwidgetstepsconfig.md#steps)

## Properties

###  availabilityMode

• **availabilityMode**: *[NavigationMode](../enums/navigationmode.md)*

Defines what steps are available to users.

___

###  steps

• **steps**: *object*

Allows you to override the availability mode of a particular step.

#### Type declaration:

* \[ **key**: *string*\]: [StepConditionConfig](../classes/stepconditionconfig.md)
